Subject: Re: bug#50904: TODO: Deprecate and remove XPM icons (replacing them with PPM)

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Sep 2021 12:28:26 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Thu, 30 Sep 2021 08:55:39 +0200
> Cc: [email-masked]
> 
> There doesn't seem to be any bug reports about XPM colours not working
> correctly -- what are the symptoms?
> 
> XPMs are attractive in that they allow addressing colours by name, and
> you can therefore alter them on-the-fly without editing the images.
> (See `gnus-logo-color-alist' for something that exploits this.)  You can
> do the same with SVG images, but then you need SVG support.  And you
> can't do this with PPMs, I think.
> 
> So I'm not sure I agree with that TODO item, unless I'm missing
> something (which I may well be).

I agree.  It sounds like this item is outdated, and we should delete
it.